/* =============================================================
   BASE — reset & Webflow nav primitives
   ============================================================= */

* {
    box-sizing: border-box;
}

html {
    height: 100%;
}

body {
    margin: 0;
    min-height: 100%;
    background-color: #fff;
    font-family: Arial, sans-serif;
    font-size: 14px;
    line-height: 20px;
    color: #333;
}

img {
    max-width: 100%;
    vertical-align: middle;
    display: inline-block;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: bold;
    margin-bottom: 10px;
}

h1 {
    font-size: 38px;
    line-height: 44px;
    margin-top: 20px;
}

h2 {
    font-size: 32px;
    line-height: 36px;
    margin-top: 20px;
}

h3 {
    font-size: 24px;
    line-height: 30px;
    margin-top: 20px;
}

h4 {
    font-size: 18px;
    line-height: 24px;
    margin-top: 10px;
}

h5 {
    font-size: 14px;
    line-height: 20px;
    margin-top: 10px;
}

h6 {
    font-size: 12px;
    line-height: 18px;
    margin-top: 10px;
}

p {
    margin-top: 0;
    margin-bottom: 10px;
}

blockquote {
    margin: 0 0 10px 0;
    padding: 10px 20px;
    border-left: 5px solid #e2e2e2;
    font-size: 18px;
    line-height: 22px;
}

figure {
    margin: 0;
    margin-bottom: 10px;
}

figcaption {
    margin-top: 5px;
    text-align: center;
}

ul,
ol {
    margin-top: 0px;
    margin-bottom: 10px;
    padding-left: 40px;
}

.w-inline-block {
    max-width: 100%;
    display: inline-block;
}

.w-button {
    display: inline-block;
    padding: 9px 15px;
    background-color: #3898ec;
    color: white;
    border: 0;
    line-height: inherit;
    text-decoration: none;
    cursor: pointer;
    border-radius: 0;
}

input.w-button {
    -webkit-appearance: button;
}

.w-nav {
    position: relative;
    background: #dddddd;
    z-index: 1000;
}

.w-nav:before,
.w-nav:after {
    content: " ";
    display: table;
    grid-column-start: 1;
    grid-row-start: 1;
    grid-column-end: 2;
    grid-row-end: 2;
}

.w-nav:after {
    clear: both;
}

.w-nav-brand {
    position: relative;
    float: left;
    text-decoration: none;
    color: #333333;
}

.w-nav-link {
    position: relative;
    display: inline-block;
    vertical-align: top;
    text-decoration: none;
    color: #222222;
    padding: 20px;
    text-align: left;
    margin-left: auto;
    margin-right: auto;
}

.w-nav-link.w--current {
    color: #0082f3;
}

.w-nav-menu {
    position: relative;
    float: right;
}

[data-nav-menu-open] {
    display: block !important;
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background: #c8c8c8;
    text-align: center;
    overflow: visible;
    min-width: 200px;
}

.w--nav-link-open {
    display: block;
    position: relative;
}

.w-nav-overlay {
    position: absolute;
    overflow: hidden;
    display: none;
    top: 100%;
    left: 0;
    right: 0;
    width: 100%;
}

.w-nav-overlay [data-nav-menu-open] {
    top: 0;
}

.w-nav-button {
    position: relative;
    float: right;
    padding: 18px;
    font-size: 24px;
    display: none;
    cursor: pointer;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    user-select: none;
}

.w-nav-button:focus {
    outline: 0;
}

.w-nav-button.w--open {
    background-color: #c8c8c8;
    color: white;
}

@media screen and (max-width: 991px) {
    .w-nav[data-collapse="medium"] .w-nav-menu {
        display: none;
    }
    .w-nav[data-collapse="medium"] .w-nav-button {
        display: block;
    }
}

@media screen and (max-width: 767px) {
    .w-nav-brand {
        padding-left: 10px;
    }
}

/* =============================================================
   FONTS
   ============================================================= */

@font-face {
    font-family: Ivymode;
    src:
        url("../fonts/IvyMode-Regular.woff2") format("woff2"),
        url("../fonts/IvyMode-Regular.woff") format("woff");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: Ivymode;
    src:
        url("../fonts/IvyMode-SemiBold.woff2") format("woff2"),
        url("../fonts/IvyMode-SemiBold.woff") format("woff");
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

/* =============================================================
   VARIABLES
   ============================================================= */

:root {
    --neutral--white: #fff;
    --neutral--black: #011017;
    --neutral--neutral-lightest: #eee;
    --neutral--neutral-lighter: #ccc;
    --neutral--neutral-light: #aaa;
    --neutral--neutral: #666;
    --neutral--neutral-dark: #444;
    --neutral--neutral-darker: #222;
    --neutral--neutral-darkest: #111;
}

/* =============================================================
   GLOBAL
   ============================================================= */

html {
    font-size: calc(0.625rem + 0.41666666666666663vw);
}

@media screen and (max-width: 1920px) {
    html {
        font-size: calc(0.625rem + 0.41666666666666674vw);
    }
}

@media screen and (max-width: 1440px) {
    html {
        font-size: calc(0.8126951092611863rem + 0.20811654526534862vw);
    }
}

@media screen and (max-width: 479px) {
    html {
        font-size: calc(0.7494769874476988rem + 0.8368200836820083vw);
    }
}

body {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
    background-color: var(--neutral--white);
    color: var(--neutral--black);
    font-family:
        system-ui,
        -apple-system,
        BlinkMacSystemFont,
        Segoe UI,
        Roboto,
        Oxygen,
        Ubuntu,
        Cantarell,
        Fira Sans,
        Droid Sans,
        Helvetica Neue,
        sans-serif;
    font-size: 1rem;
    line-height: 1.5;
}

*[tabindex]:focus-visible,
input[type="file"]:focus-visible {
    outline: 0.125rem solid #4d65ff;
    outline-offset: 0.125rem;
}

html.lenis,
html.lenis body {
    height: auto;
}

.lenis:not(.lenis-autoToggle).lenis-stopped {
    overflow: clip;
}

.lenis [data-lenis-prevent],
.lenis [data-lenis-prevent-wheel],
.lenis [data-lenis-prevent-touch] {
    overscroll-behavior: contain;
}

.lenis.lenis-smooth iframe {
    pointer-events: none;
}

.lenis.lenis-autoToggle {
    transition-property: overflow;
    transition-duration: 1ms;
    transition-behavior: allow-discrete;
}

h1 {
    text-wrap: balance;
    margin-top: 0;
    margin-bottom: 0;
    font-family: Ivymode, Times New Roman, sans-serif;
    font-size: 4rem;
    font-weight: 600;
    line-height: 1.25;
}

h2 {
    text-wrap: balance;
    margin-top: 0;
    margin-bottom: 0;
    font-family: Ivymode, Times New Roman, sans-serif;
    font-size: 2rem;
    font-weight: 600;
    line-height: 1.2;
}

h3 {
    text-wrap: balance;
    margin-top: 0;
    margin-bottom: 0;
    font-family: Ivymode, Times New Roman, sans-serif;
    font-size: 1.5rem;
    font-weight: 600;
    line-height: 1.2;
}

h4 {
    margin-top: 0;
    margin-bottom: 0;
    font-size: 1.25rem;
    font-weight: 500;
    line-height: 1.4;
}

h5 {
    margin-top: 0;
    margin-bottom: 0;
    font-size: 1.125rem;
    font-weight: 600;
    line-height: 1.5;
}

h6 {
    margin-top: 0;
    margin-bottom: 0;
    font-size: 1rem;
    font-weight: 600;
    line-height: 1.5;
}

p {
    margin-bottom: 0;
    line-height: 1.6;
}

a {
    color: var(--neutral--black);
}

ul,
ol {
    margin-top: 0;
    margin-bottom: 0;
    padding-left: 1.5rem;
}

li {
    margin-bottom: 0.25rem;
}

img {
    max-width: 100%;
    display: inline-block;
}

label {
    margin-bottom: 0.25rem;
    font-weight: 500;
}

blockquote {
    border-left: 0.25rem solid #e2e2e2;
    margin-bottom: 0;
    padding: 0 1.25rem;
    font-size: 1.25rem;
    line-height: 1.5;
}

figure {
    margin-top: 2rem;
    margin-bottom: 2rem;
}

figcaption {
    text-align: center;
    margin-top: 0.25rem;
}

/* =============================================================
   UTILITIES
   ============================================================= */

.padding-global {
    padding-left: 3.75rem;
    padding-right: 3.75rem;
}

.padding-section-large {
    padding-top: 8rem;
    padding-bottom: 8rem;
}

.relative {
    position: relative;
}

.sticky {
    position: sticky;
    top: 7.5rem;
    bottom: 2.5rem;
}

/* =============================================================
   BUTTON
   ============================================================= */

.button {
    border: 0.125rem solid var(--neutral--black);
    background-color: var(--neutral--black);
    color: var(--neutral--white);
    text-align: center;
    border-radius: 0.5rem;
    padding: 1rem 2rem;
    font-weight: 600;
    text-decoration: none;
    box-shadow: 0 0.5rem 1.5rem #01101733;
}

.button:hover {
    transform: scale(1.05);
}

.button.is-small {
    padding: 0.5rem 1.25rem;
}

.button.is-secondary {
    border: 0.0625rem solid var(--neutral--white);
    color: var(--neutral--black);
    background-color: #0000;
}

/* =============================================================
   NAV
   ============================================================= */

.nav_component {
    background-color: #0000;
    width: 100%;
    position: sticky;
    inset: 0% 0% auto;
}

.nav_container {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    display: flex;
}

.nav_brand {
    color: var(--neutral--black);
    letter-spacing: 0.02rem;
    font-family: Ivymode, Times New Roman, sans-serif;
    font-size: 1.125rem;
    font-weight: 600;
}

.nav_menu_link {
    padding: 1rem;
    font-weight: 500;
}

.nav_menu_link.w--current {
    color: var(--neutral--black);
}

.nav_button {
    padding: 1rem;
}

.w-nav-overlay {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    z-index: 999;
    overflow: auto;
    display: none;
    min-height: calc(100vh - 100%);
}

.w-nav-overlay.w--open {
    display: block;
}

.w-nav-overlay .nav_menu {
    transform: translateY(-100%);
    transition: transform 400ms ease;
}

.w-nav-overlay.w--open .nav_menu {
    transform: translateY(0);
}

.nav_menu_link.w--nav-link-open {
    display: block;
}

.menu_wrap {
    --thickness: 0.125rem;
    --gap: 0.5rem;
    --rotate: 45;
    --width: 100%;
    grid-row-gap: var(--gap);
    flex-flow: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    display: flex;
    position: relative;
}

.w--open .menu_line > *,
.menu_line {
    transition-delay: 200ms;
}

.w--open .menu_line {
    transition-delay: 0ms;
}

.w--open .menu_line:first-child {
    transform: translateY(calc(var(--thickness) * 0.5 + var(--gap) * 0.5));
}

.w--open .menu_line:first-child > * {
    transform: rotate(calc(var(--rotate) * 1deg));
}

.w--open .menu_line:last-child {
    transform: translateY(calc(var(--thickness) * -0.5 + var(--gap) * -0.5));
}

.w--open .menu_line:last-child > * {
    transform: rotate(calc(var(--rotate) * -1deg));
}

.menu_line {
    height: var(--thickness);
    width: var(--width);
    flex: none;
    transition-property: all;
    transition-duration: 0.2s;
    transition-timing-function: ease;
}

.menu_inner {
    background-color: currentColor;
    width: 100%;
    height: 100%;
    transition-property: transform;
    transition-duration: 0.2s;
    transition-timing-function: ease;
}

.nav_wrap {
    margin-left: -1rem;
    margin-right: -1rem;
}

.nav_padding {
    -webkit-backdrop-filter: blur(2rem);
    backdrop-filter: blur(2rem);
    background-color: #ffffffa6;
    border-radius: 0.5rem;
    margin-top: 1rem;
    margin-left: 2rem;
    margin-right: 2rem;
    padding: 1rem 1.75rem;
}

.nav_button.w--open {
    color: var(--neutral--black);
    background-color: #0000;
}

/* =============================================================
   HERO
   ============================================================= */

.hero_section {
    padding-top: 5rem;
    padding-bottom: 5rem;
}

.hero_grid {
    grid-column-gap: 3rem;
    grid-row-gap: 3rem;
    grid-template-rows: auto;
    grid-template-columns: 2fr 1fr;
    grid-auto-columns: 1fr;
    align-content: start;
    display: grid;
}

.hero_content {
    grid-column-gap: 2rem;
    grid-row-gap: 2rem;
    flex-flow: column;
    flex: 1;
    justify-content: center;
    align-items: flex-start;
    display: flex;
}

.hero_heading {
    text-wrap: balance;
    font-family: Ivymode, Times New Roman, sans-serif;
    font-size: 4rem;
    font-weight: 600;
    line-height: 1.25;
}

.hero_mask {
    border-radius: 0.5rem;
    flex: 1;
    overflow: hidden;
}

.hero_image {
    object-fit: cover;
    border-radius: 0.5rem;
    width: 100%;
    height: 100%;
    display: block;
}

/* =============================================================
   ABOUT
   ============================================================= */

.about_section {
    padding-top: 2.5rem;
    padding-bottom: 5rem;
}

.about_grid {
    grid-column-gap: 3rem;
    grid-row-gap: 3rem;
    grid-template-rows: auto;
    grid-template-columns: 1fr 2fr;
    grid-auto-columns: 1fr;
    display: grid;
}

.about_title {
    font-size: 2rem;
    line-height: 1.2;
}

/* =============================================================
   COMPANIES
   ============================================================= */

.companies_section {
    padding-top: 2.5rem;
    padding-bottom: 5rem;
}

.companies_grid {
    grid-column-gap: 3rem;
    grid-row-gap: 3rem;
    grid-template-rows: auto;
    grid-template-columns: 1fr 2fr;
    grid-auto-columns: 1fr;
    display: grid;
}

.companies_content {
    grid-column-gap: 1rem;
    grid-row-gap: 1rem;
    flex-flow: column;
    justify-content: flex-start;
    align-items: stretch;
    display: flex;
}

.company_card {
    border-radius: 0.5rem;
    padding: 2.5rem;
    position: relative;
    overflow: hidden;
}

.company_card.ultraperfekt {
    color: var(--neutral--white);
    background-image: linear-gradient(160deg, #0f0f0f 50%, #fa761e);
}

.company_card.juridico {
    color: var(--neutral--white);
    background-image: linear-gradient(160deg, #629bfe 50%, #2b4afd);
}

.company_card.katch {
    color: var(--neutral--black);
    background-image: linear-gradient(160deg, #d8def8 50%, #d0f1e7);
}

.company_card.exenest {
    color: var(--neutral--white);
    background-image: linear-gradient(160deg, #5a3537 50%, #320305);
}

.company_card.hospinest {
    color: var(--neutral--white);
    background-image: linear-gradient(160deg, #3a4469 50%, #1c2f40);
}

.company_card.provok {
    color: var(--neutral--black);
    background-image: linear-gradient(160deg, #18f297 50%, #16749c);
}

.company_logo {
    width: 100%;
    max-width: 15rem;
    height: auto;
    max-height: 5rem;
    margin-bottom: 1.5rem;
    display: block;
}

.company_logo.exenest {
    max-width: 12rem;
}

.company_logo.ultraperfekt {
    max-width: 17rem;
}

.company_logo.provok {
    max-width: 11rem;
}

.company_logo.juridico {
    max-width: 13rem;
}

.company_logo.katch {
    max-width: 11rem;
}

.company_position {
    margin-bottom: 1rem;
    font-weight: 700;
}

.company_text {
    max-width: 70ch;
}

.link_white {
    color: var(--neutral--white);
    text-decoration: none;
}

.link_black {
    text-decoration: none;
}

.link_absolute {
    width: 100%;
    height: 100%;
    position: absolute;
    inset: 0%;
}

/* =============================================================
   SERVICES
   ============================================================= */

.services_section {
    padding-top: 2.5rem;
    padding-bottom: 5rem;
}

.services_grid {
    grid-column-gap: 3rem;
    grid-row-gap: 3rem;
    grid-template-rows: auto;
    grid-template-columns: 1fr 2fr;
    grid-auto-columns: 1fr;
    display: grid;
}

.services_content_grid {
    grid-column-gap: 4rem;
    grid-row-gap: 4rem;
    grid-template-rows: auto auto;
    grid-template-columns: 1fr 1fr;
    grid-auto-columns: 1fr;
    display: grid;
}

.service_card {
    grid-column-gap: 1rem;
    grid-row-gap: 1rem;
    flex-flow: column;
    justify-content: flex-start;
    align-items: flex-start;
    display: flex;
}

/* =============================================================
   CONTACT
   ============================================================= */

.contact_section {
    padding-top: 2.5rem;
    padding-bottom: 5rem;
}

.contact_grid {
    grid-column-gap: 3rem;
    grid-row-gap: 3rem;
    grid-template-rows: auto;
    grid-template-columns: 1fr 2fr;
    grid-auto-columns: 1fr;
    display: grid;
}

.contact_content_grid {
    grid-column-gap: 4rem;
    grid-row-gap: 4rem;
    grid-template-rows: auto;
    grid-template-columns: 1fr 1fr;
    grid-auto-columns: 1fr;
    display: grid;
}

.contact_card {
    grid-column-gap: 1rem;
    grid-row-gap: 1rem;
    flex-flow: column;
    justify-content: flex-start;
    align-items: flex-start;
    display: flex;
}

.contact_subtitle {
    font-size: 1.125rem;
}

.contact_link {
    font-size: 1.5rem;
    font-weight: 500;
    text-decoration: none;
}

/* =============================================================
   FOOTER
   ============================================================= */

.footer_section {
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
}

/* =============================================================
   STYLE GUIDE & 404
   ============================================================= */

.styleguide_item {
    grid-column-gap: 1.125rem;
    grid-row-gap: 1.125rem;
    border-bottom: 1px solid #0000001a;
    flex-flow: column;
    grid-template-rows: auto;
    grid-template-columns: 1fr;
    grid-auto-columns: 1fr;
    place-content: start;
    place-items: start;
    padding-bottom: 3rem;
    display: flex;
    position: relative;
}

.styleguide_row {
    grid-column-gap: 0.75rem;
    grid-row-gap: 0.75rem;
    flex-direction: row;
    grid-template-rows: auto;
    grid-template-columns: auto;
    grid-auto-columns: auto;
    grid-auto-flow: column;
    justify-content: flex-start;
    align-items: center;
    display: flex;
}

.styleguide_label {
    background-color: var(--neutral--black);
    color: var(--neutral--white);
    border-radius: 0.25rem;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    padding: 0.25rem 0.75rem 0.3rem;
    font-weight: 600;
    display: flex;
}

.styleguide_label.is-tag {
    background-color: var(--neutral--neutral-lightest);
    color: var(--neutral--black);
}

.styleguide_classes {
    grid-column-gap: 1px;
    grid-row-gap: 1px;
    grid-template-rows: auto;
    grid-template-columns: 1fr;
    grid-auto-columns: 1fr;
    display: grid;
}

._404_section {
    min-height: 80svh;
    padding-top: 5rem;
    padding-bottom: 5rem;
}

/* =============================================================
   RESPONSIVE — 991px
   ============================================================= */

@media screen and (max-width: 991px) {
    .padding-section-large {
        padding-top: 6rem;
        padding-bottom: 6rem;
    }

    .nav_brand {
        padding-left: 0;
    }

    .nav_menu {
        background-color: #0000;
        padding-left: 2rem;
        padding-right: 2rem;
    }

    .nav_menu_link {
        border-radius: 0.5rem;
        margin-left: -1rem;
        margin-right: -1rem;
        font-size: 1.125rem;
    }

    .nav_menu_link:hover {
        background-color: var(--neutral--black);
        color: var(--neutral--white);
    }

    .nav_button {
        color: var(--neutral--black);
        width: 4rem;
        height: 3rem;
        margin-right: -1rem;
    }

    .nav_wrap {
        -webkit-backdrop-filter: blur(2rem);
        backdrop-filter: blur(2rem);
        background-color: #fffc;
        border-radius: 0.5rem;
        margin-top: 1rem;
        margin-left: 0;
        margin-right: 0;
        padding: 1rem 1.75rem;
        box-shadow: 0 2rem 1.5rem 0 #01101733;
    }

    .nav_padding {
        margin-left: 2rem;
        margin-right: 2rem;
        padding-left: 1.75rem;
        padding-right: 1.75rem;
    }

    .hero_grid {
        grid-template-columns: 2fr;
    }

    .services_content_grid {
        grid-template-columns: 1fr;
    }
}

/* =============================================================
   RESPONSIVE — 767px
   ============================================================= */

@media screen and (max-width: 767px) {
    h1 {
        font-size: 2.5rem;
    }

    h2 {
        font-size: 2rem;
    }

    h3 {
        font-size: 1.5rem;
    }

    h4 {
        font-size: 1.25rem;
    }

    h5 {
        font-size: 1rem;
    }

    h6 {
        font-size: 0.875rem;
    }

    .padding-global {
        padding-left: 2rem;
        padding-right: 2rem;
    }

    .padding-section-large {
        padding-top: 4rem;
        padding-bottom: 4rem;
    }

    .nav_menu {
        padding-left: 1rem;
        padding-right: 1rem;
    }

    .hero_grid {
        grid-row-gap: 3rem;
    }

    .contact_content_grid {
        grid-template-columns: 1fr;
    }

    .company_text {
        max-width: none;
    }

    .nav_padding {
        margin-left: 1rem;
        margin-right: 1rem;
        padding-left: 1rem;
        padding-right: 1rem;
    }
}

/* =============================================================
   RESPONSIVE — 479px
   ============================================================= */

@media screen and (max-width: 479px) {
    .styleguide_row {
        flex-wrap: wrap;
    }

    .hero_heading {
        font-size: 2.5rem;
    }

    .hero_section,
    .about_section,
    .companies_section {
        padding-top: 2.5rem;
        padding-bottom: 2.5rem;
    }

    .about_grid {
        grid-template-columns: 1fr;
    }

    .services_section {
        padding-top: 2.5rem;
        padding-bottom: 2.5rem;
    }

    .services_grid,
    .companies_grid {
        grid-template-columns: 1fr;
    }

    .contact_section {
        padding-top: 2.5rem;
        padding-bottom: 2.5rem;
    }

    .contact_grid {
        grid-template-columns: 1fr;
    }

    .company_logo {
        min-width: 8rem;
        max-width: 12rem;
        min-height: 2rem;
        max-height: 3rem;
    }

    ._404_section {
        padding-top: 2.5rem;
        padding-bottom: 2.5rem;
    }
}
